> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ads-demand/click-options/smartlink.md).

# Smartlink

The Smartlink scheme allows advertisers and demand partners to direct users to an installed application. Smartlink redirects the user to a fallback URL when the app does not appear on the device. The scheme allows you to add click trackers to the primary and fallback URLs to track user interactions.

{% code title="Smartlink Example" %}

```
smartlink://navigate?
primaryUrl=fyberawesomeapp%3A%2F%2Flink&
primaryTrackingUrl=http%3A%2F%2Fpx.fyber.com%2FtrackPrimaryClicked&
fallbackUrl=http%3A%2F%2Fwww.fyber.com&
fallbackTrackingUrl=http%3A%2F%2Fpx.fyber.com%2FtrackFallbackClicked
```

{% endcode %}

The following table describes the Smartlink query parameters and their functions:

| COMPONENT             | DESCRIPTION                                                                                  |
| --------------------- | -------------------------------------------------------------------------------------------- |
| `primaryUrl`          | Defines a deep link to the target application which might be installed on the device.        |
| `fallbackUrl`         | Redirects the user to a webpage when the desired application is not installed on the device. |
| `primaryTrackingUrl`  | Fires an HTTP GET request when the primary URL opens successfully.                           |
| `fallbackTrackingUrl` | Fires an HTTP GET request when the fallback URL opens successfully.                          |

{% hint style="info" %}
You must define the following parameters for a valid Smartlink implementation:

* Scheme: `smartlink`
* Host path: `navigate`
* Tracking URLs: Specify one or multiple tracking URLs. Smartlink triggers all applicable URLs when the corresponding event occurs.
  {% endhint %}

For more information, see [Click to Native Browser](/dt-ads-demand/click-options/click-to-native-browser.md).

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digitalturbine.com/dt-ads-demand/click-options/smartlink.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
